package com.seafuture.npsystem.main;

import com.seafuture.npsystem.webservice.version3.*;

public class SampleMain {
	private final static String PIRACY_CODE_DEFAULT 			= "000";
	private final static String PIRACY_CODE_THE_SHORTEST_PATH 	= "001";
	private final static String PIRACY_CODE_250NM_OUTER 		= "002";
	private final static String PIRACY_CODE_600NM_OUTER			= "003";
	private final static String PIRACY_CODE_JWLA015 			= "004";
	private final static String PIRACY_CODE_JWLA016				= "005";
	
	private final static String PINCODE = "DEMO";
	private final static String ACCCODE = "DEMO";
	
	public static void main(String[] args) {

		NPDistanceVersion3Proxy proxy = new NPDistanceVersion3Proxy();
		String portNames[] = new String[3];
		portNames[0] = "BUSAN";
		portNames[1] = "PALAU";
		portNames[2] = "LONDON";
		
		try {
			// Request Distance
			GetDistReturn ret = proxy.getDistance(PINCODE, ACCCODE, portNames , PIRACY_CODE_DEFAULT);
	
			// Return Status
			System.out.println("RET CODE = " + ret.getRetCode());
			System.out.println("RET MSG  = " + ret.getRetMessage());

			if(ret.getRetCode() == 100) {
				System.out.println("DAYLIMIT = " + ret.getDayLimit());
				System.out.println("DAYUSED  = " + ret.getTodayUsed());
				// Distance Information
				System.out.println("TOTALDIST = " + ret.getTotalDistance());
				System.out.println("TOTALSECADIST = " + ret.getTotalDistanceSECA());
				Section[] section = ret.getSections();
				for (int i = 0; i < section.length; i++) {  
					System.out.println("SECTION[" + i + "] "
							+ section[i].getDistance() + "("
							+ section[i].getDistanceSECA() + ") -> "
							+ section[i].getFromPort() + " -> "
							+ section[i].getToPort());
					WayPoint[] wpList = section[i].getWaypoints();
					for (int j = 0; j < wpList.length; j++) { 
						System.out.print("\"" + wpList[j].getName() + "\","
								+ wpList[j].getLat() + ", " + wpList[j].getLon()    
								);
						System.out.print(", "+wpList[j].isSeca());
						System.out.println();
					}
					System.out.println();
				}
			}

		} catch (Exception e) {
			System.err.println("REMOTE ERROR");
			e.printStackTrace(System.err);
		}
	}
}
